Bug 1654553 - [RFE]: Integration of Red Hat Satellite with ADFS (Active Directory Federation Services)
Summary: [RFE]: Integration of Red Hat Satellite with ADFS (Active Directory Federati...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 04:54 UTC by Sunayana
Modified: 2020-05-27 11:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Sunayana 2018-11-29 04:54:30 UTC
1. Title:

Integration of Red Hat Satellite with  ADFS (Active Directory Federation Services)

2. What is the nature and description of the request?

Integration of Red Hat Satellite with  ADFS (Active Directory Federation Services) to avoid single user login multiple times to comply their security policy.

3. Why does the customer need this? (List the business requirements here)

Due to security compliance, customer is looking to avoid single user login multiple times. Hence, looking for integration of satellite with ADFS.

4. How would the customer like to achieve this? (List the functional requirements here)

By integrating Satellite with Active Directory Federation Services

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

N/A

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

ASAP

8. Is the sales team involved in this request and do they have any additional input?

No

9. List any affected packages or components.

N/A

10. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 4 Marek Hulan 2018-11-29 08:36:35 UTC
How is this different from existing Active Directory support? The business reason basically says we need SSO, which we already have implemented via various methods.

Comment 5 Bryan Kearney 2019-12-03 16:34:34 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 6 Bryan Kearney 2020-01-15 20:30:11 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 7 Bryan Kearney 2020-01-15 20:30:15 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.